Skip to main content
POST
/
api
/
generate
/
submit
Submit Runway Gen-4.5 Task
curl --request POST \
  --url https://api.poyo.ai/api/generate/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "runway-gen-4.5",
  "callback_url": "https://your-domain.com/callback",
  "input": {
    "prompt": "A dense, verdant jungle world made up of small lego-like pieces. We see a rainbow chameleon running through the 3D world, the camera in and out of focus.",
    "duration": 5,
    "aspect_ratio": "16:9"
  }
}
'
{
  "code": 200,
  "data": {
    "task_id": "task-unified-1757165031-uyujaw3d",
    "status": "not_started",
    "created_time": "2025-11-12T10:30:00"
  }
}
  1. After submission, a task_id will be returned. If you provided a callback_url, when the task status becomes finished or failed, a POST request will be sent to the callback_url.
  2. Regardless of whether callback_url is provided, you can retrieve the result through the unified Query Task Status endpoint.

Runway Gen-4.5

runway-gen-4.5 is exposed through the unified submit endpoint with text-to-video and optional single-image guidance.

Available Model

  • runway-gen-4.5 - Text-to-video generation

Required Parameters

  • prompt: Text prompt for generation

Optional Parameters

  • duration: 5 or 10. Default is 5
  • aspect_ratio: 16:9, 9:16, 4:3, 3:4, 1:1, or 21:9. Default is 16:9
  • image_urls: Optional image URL list. At most 1 image
  • seed: Optional integer seed

Notes

  • image_urls is optional. If provided, only one image URL is allowed

Authorizations

Authorization
string
header
required

All API endpoints require Bearer Token authentication

Get your API Key:

Visit the API Key Management Page to get your API Key

Add it to the request header:

Authorization: Bearer YOUR_API_KEY

Body

application/json
model
enum<string>
required

Runway Gen-4.5 model identifier

Available options:
runway-gen-4.5
input
object
required
callback_url
string<uri>

Webhook callback URL for result notifications

Example:

"https://your-domain.com/callback"

Response

200 - application/json

Task submitted successfully

code
integer
required
Example:

200

data
object
required